import { GenericClient, JSONRPCError } from '../comm/GenericClient';
declare type Job_ID = string;
interface CancelJobParam {
    job_id: Job_ID;
}
interface GetJobLogsParam {
    job_id: Job_ID;
    skip_lines: number;
}
interface LogLine {
    line: string;
    is_error: number;
}
interface GetJobLogsResult {
    lines: Array<LogLine>;
    last_line_number: number;
}
declare type CheckJobParam = Job_ID;
interface CheckJobResult {
    job_id: Job_ID;
    finished: boolean;
    ujs_url: string;
    status: any;
    result: any;
    error: JSONRPCError;
    job_state: string;
    position: number;
    creation_time: number;
    exec_start_time: number;
    finish_time: number;
    cancelled: boolean;
    canceled: boolean;
}
export default class NarrativeJobServiceClient extends GenericClient {
    static module: string;
    cancelJob(param: CancelJobParam): Promise<void>;
    getJobLogs(param: GetJobLogsParam): Promise<[GetJobLogsResult]>;
    checkJob(param: CheckJobParam): Promise<[CheckJobResult]>;
}
export {};
