export interface DynamicServiceClientParams {
    token: string;
    url: string;
    version?: string;
    timeout?: number;
    rpcContext?: any;
    urlBaseOverride?: string;
    urlBase?: string;
}
export declare class DynamicServiceClient {
    token: string;
    timeout: number;
    rpcContext: any;
    url: string;
    version: string | null;
    urlBaseOverride: string | null;
    static module: string;
    constructor({ token, url, version, timeout, rpcContext, urlBaseOverride }: DynamicServiceClientParams);
    private options;
    private getModule;
    private moduleId;
    private getCached;
    private lookupModule;
    protected callFunc<P, T>(funcName: string, params: P): Promise<T>;
}
