"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const endpoints = {
    root: '',
    tokenInfo: 'api/V2/token',
    apiMe: 'api/V2/me',
    me: 'me',
    loginStart: 'login/start',
    logout: 'logout',
    loginChoice: 'login/choice',
    loginCreate: 'login/create',
    loginUsernameSuggest: 'login/suggestname',
    loginPick: 'login/pick',
    loginCancel: 'login/cancel',
    linkStart: 'link/start',
    linkCancel: 'link/cancel',
    linkChoice: 'link/choice',
    linkPick: 'link/pick',
    linkRemove: 'me/unlink',
    tokens: 'tokens',
    tokensRevoke: 'tokens/revoke',
    tokensRevokeAll: 'tokens/revokeall',
    userSearch: 'api/V2/users/search',
    adminUserSearch: 'api/V2/admin/search',
    adminUser: 'api/V2/admin/user'
};
class AuthClient {
    constructor({ url }) {
        this.url = url;
    }
    makePath(path) {
        if (typeof path === 'string') {
            return [this.url].concat([path]).join('/');
        }
        return [this.url].concat(path).join('/');
    }
    root() {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield fetch(this.makePath([endpoints.root]), {
                method: 'GET',
                headers: {
                    Accept: 'application/json'
                }
            });
            const result = yield response.json();
            return result.data;
        });
    }
    getTokenInfo(token) {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield fetch(this.makePath([endpoints.tokenInfo]), {
                method: 'GET',
                headers: {
                    Accept: 'application/json',
                    Authorization: token
                }
            });
            const result = yield response.json();
            return result.data;
        });
    }
    getMe(token) {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield fetch(this.makePath([endpoints.apiMe]), {
                method: 'GET',
                headers: {
                    Accept: 'application/json',
                    Authorization: token
                }
            });
            const result = yield response.json();
            return result.data;
        });
    }
}
exports.default = AuthClient;
//# sourceMappingURL=Auth.js.map